Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.update
Class DatabaseUpdater

    java.lang.Object
      org.owasp.dependencycheck.data.update.DatabaseUpdater

All Implemented Interfaces:
  CachedWebDataSource

    public class DatabaseUpdater

extends Object
implements CachedWebDataSource

Class responsible for updating the CPE and NVDCVE data stores.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Constructor Summary
`DatabaseUpdater()`

Method Summary
`protected void` | `deleteExistingData()` Deletes the existing data directories.
`void` | `update()` Downloads the latest NVD CVE XML file from the web and imports it into the current CVE Database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseUpdater

    public DatabaseUpdater()

Method Detail

### update

    public void update()
                throws UpdateException

  Downloads the latest NVD CVE XML file from the web and imports it into the current CVE Database.

  Specified by:
    `update` in interface `CachedWebDataSource`
  Throws:
    `UpdateException` - is thrown if there is an error updating the database

### deleteExistingData

    protected void deleteExistingData()
                               throws IOException

  Deletes the existing data directories.

  Throws:
    `IOException` - thrown if the directory cannot be deleted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.